import request from '/@/utils/request';

//#region ====================== 获取测点组树增删改 ======================
/**
 * @summary 通过 BelongType and BelongID获取
 */
export const GetAllPointGroup = async (params, req: any = request) => {
	return req({
		url: '/Monitor/Point/Group/GetByBelongTypeAndBelongID@V1.0',
		method: 'GET',
		params: params,
	});
};

/**
 * @summary 通过 插入一条测点组
 */
export const InsertPointGroup = async (params, req: any = request) => {
	return req({
		url: '/Monitor/Point/Group/Insert@V1.0',
		method: 'POST',
		data: params,
	});
};
/**
 * @summary 修改一个测点组记录
 */
export const UpdatePointGroup = async (params, req: any = request) => {
	return req({
		url: '/Monitor/Point/Group/Update@V1.0',
		method: 'PUT',
		data: params,
	});
};

/**
 * @summary 删除一条测点组记录
 */
export const DeletePointGroup = async (params, req: any = request) => {
	return req({
		url: '/Monitor/Point/Group/DeleteByID@V1.0',
		method: 'DELETE',
		params: params,
	});
};

/**
 * @summary 修改测点组表格排序码
 */
export const UpdatePointGroupSorter = async (params, req: any = request) => {
	return req({
		url: '/Monitor/Point/Group/UpdateSorter@V1.0',
		method: 'PUT',
		data: params,
	});
};

/**
 * @summary 检查是否已存在标记
 */
export const GetIsExistPointGroupTagName = async (params, req: any = request) => {
	return req({
		url: '/Monitor/Point/Group/IsExistTagName@V1.0',
		method: 'GET',
		params: params,
	});
};
//#endregion

//#region ====================== 模板复制后添加 ======================
/**
 * @summary 获取监测选择列表
 */
export const GetSelectList = async (req: any = request) => {
	return req({
		url: '/Monitor/Point/Template/Std/GetSelectList@V1.0',
		method: 'GET',
	});
};
export const InsertExtensions = async (params, req: any = request) => {
	return req({
		url: '/Monitor/Point/Extensions/Insert@V1.0',
		method: 'POST',
		data: params,
	});
};
/**
 * @summary 更新测点使用状态
 */
export const UpdatePointUseStatus = async (params, req: any = request) => {
	return req({
		url: '/Monitor/Point/UpdateUseStatus@V1.0',
		method: 'PUT',
		data: params,
	});
};
/**
 * @summary 通过 ID 获取测点信息
 */
export const GetByIDAllInfo = async (params, req: any = request) => {
	return req({
		url: '/Monitor/Point/Extensions/GetByID@V1.0',
		method: 'GET',
		params: params,
	});
};

//#endregion

//#region ====================== 测点添加 ======================
/**
 * @summary 通过 ID 获取模板列表
 */
export const GetByIDList = async (params, req: any = request) => {
	return req({
		url: '/Monitor/Point/GetByGroupID@V1.0',
		method: 'GET',
		params: params,
	});
};

/**
 * @summary 插入一条
 */
export const InsertMonitorPoint = async (params, req: any = request) => {
	return req({
		url: '/Monitor/Point/Insert@V1.0',
		method: 'POST',
		data: params,
	});
};

/**
 * @summary 更新模板
 */
export const UpdateMonitorPoint = async (params, req: any = request) => {
	return req({
		url: '/Monitor/Point/Update@V1.0',
		method: 'PUT',
		data: params,
	});
};
/**
 * @summary 更新模板TagName是否存在
 */
export const UpdatePointTagName = async (params, req: any = request) => {
	return req({
		url: '/Monitor/Point/IsExistTagName@V1.0',
		method: 'GET',
		params: params,
	});
};
/**
 * @summary 删除模板
 */
export const DeleteByIDTemplate = async (params, req: any = request) => {
	return req({
		url: '/Monitor/Point/DeleteByID@V1.0',
		method: 'DELETE',
		params: params,
	});
};

//#endregion

//#region ======================  信号添加======================
/**
 * @summary 通过 测点ID 获取信号列表
 */

export const GetByMonitorPointID = async (params, req: any = request) => {
	return req({
		url: '/Monitor/Signal/GetByMonitorPointID@V1.0',
		method: 'GET',
		params: params,
	});
};

/**
 * @summary 插入一条信号
 */
export const InsertSignal = async (params, req: any = request) => {
	return req({
		url: '/Monitor/Signal/Insert@V1.0',
		method: 'POST',
		data: params,
	});
};

/**
 * @summary 插入多条信号
 */
export const InsertSignals = async (params, req: any = request) => {
	return req({
		url: '/Monitor/Signal/Inserts@V1.0',
		method: 'POST',
		data: params,
	});
};

/**
 * @summary 通过ids 获取信号
 */
export const GetMonitorSignalByIds = async (params, req: any = request) => {
	return req({
		url: '/Monitor/Signal/GetByIds@V1.0',
		method: 'GET',
		params: params,
	});
};

/**
 * @summary 更新信号
 */

export const UpdateSignal = async (params, req: any = request) => {
	return req({
		url: '/Monitor/Signal/Update@V1.0',
		method: 'PUT',
		data: params,
	});
};

/**
 * @summary 信号的标记名称是否存在
 */
export const GetIsExistSignalTagName = async (params, req: any = request) => {
	return req({
		url: '/Monitor/Signal/IsExistTagName@V1.0',
		method: 'GET',
		params: params,
	});
};
/**
 * @summary 删除信号
 */
export const DeleteByIDSignal = async (params, req: any = request) => {
	return req({
		url: '/Monitor/Signal/DeleteByID@V1.0',
		method: 'DELETE',
		params: params,
	});
};
//获取信号类型
export async function GetLogicalTreeList(req: any = request) {
	return req({
		url: '/Monitor/Signal/Type/Std/GetLogicalTreeList@V1.0',
		method: 'GET',
	});
}
//获取检测公式
export async function GetSupportLogicalTreeList(params, req: any = request) {
	return req({
		url: '/Monitor/Formula/Std/GetSupportLogicalTreeList@V1.0',
		method: 'GET',
		params: params,
	});
}
//#endregion

/**
 * @summary 更新测点 flags
 */
export const UpdateMonitorPointFlags = async (params, req: any = request) => {
	return req({
		url: '/Monitor/Point/UpdateFlags@V1.0',
		method: 'PUT',
		data: params,
	});
};

/**
 * @summary 更新测点排序码
 */
export const UpdateMonitorPointSorter = async (params, req: any = request) => {
	return req({
		url: '/Monitor/Point/UpdateSorter@V1.0',
		method: 'PUT',
		data: params,
	});
};

/**
 * @summary 更新信号排序码
 */
export const UpdateSignalSorter = async (params, req: any = request) => {
	return req({
		url: '/Monitor/Signal/UpdateSorter@V1.0',
		method: 'PUT',
		data: params,
	});
};

/**
 * @summary 通过测点 id 获取测点
 */
export const GetMonitorPointByID = async (params, req: any = request) => {
	return req({
		url: '/Monitor/Point/GetByID@V1.0',
		method: 'GET',
		params: params,
	});
};

/**
 * @summary 通过一组测点 id 获取测点
 */
export const GetMonitorPointByIds = async (params, req: any = request) => {
	return req({
		url: '/Monitor/Point/GetByIds@V1.0',
		method: 'GET',
		params: params,
	});
};

/**
 * @summary 更新树排序码
 */
export const UpdatePointGroupTreeSortCode = async (params, req: any = request) => {
	return req({
		url: '/Monitor/Point/Group/UpdateTreeSortCode@V1.0',
		method: 'PUT',
		data: params,
	});
};

/**
 * @summary 更新测点所属分组
 */
export const UpdatePointGroupID = async (params, req: any = request) => {
	return req({
		url: '/Monitor/Point/UpdateGroupID@V1.0',
		method: 'PUT',
		data: params,
	});
};
